@echo off
setlocal

REM -----------------------------------------------------------------------
REM Set the following variable to your sqllib location
REM -----------------------------------------------------------------------
set DB2PATH=C:\Program Files\IBM\SQLLIB

set CLASSPATH=PrintExceptionTable.jar;.;%DB2PATH%\java\db2java.zip;%DB2PATH%\tools\xml-apis.jar;%DB2PATH%\tools\xercesImpl.jar;

REM -----------------------------------------------------------------------
REM The following line assumes that you have the db2 tools installed on the machine,
REM and it picks up the JVM used.  If the tools are not on the machine, any version
REM of java can be used.  Search for a java.exe in your system.
REM You can use the following line if java.exe is already in your path
REM
REM  java PrintExceptionMonitor %1 %2 %3 %4 %5 %6 %7 %8 %9 %10 %10 %12 %13 %14
REM
REM Due to the limitation of the number of parameters for batch files, the parameters for
REM PrintExceptionTable need to be specified in this batch file rather then on the command line
REM if more than 4 paramters are used. In this case use the following line and replace the 
REM parameter values accordingly:
REM "%DB2PATH%\java\jdk\bin\java" replExceptions.PrintExceptionTable -db [alias] -schema [schema] -uid [userid] -pwd [password] -where [where-clause surrounded by double quotes] 
REM -----------------------------------------------------------------------
"%DB2PATH%\java\jdk\bin\java" replExceptions.PrintExceptionTable %1 %2 %3 %4 %5 %6 %7 %8 %9 %10 %11 %12 %13 %14

endlocal
@echo on